For the complete documentation index, see llms.txt. This page is also available as Markdown.

API - Creating a Lead

How to create a Lead with data from a request.

Route

POST /leads?apitoken=seu-token&i=sua-instancia

Full endpoint: https://sprinthub-api-master.sprinthub.app/leads?apitoken=seu-token&i=sua-instancia

Query Params

Key
Description

i

Your instance identifier, subdomain

apitoken

API Token

Body - System default fields

Key
Expected value

firstname

String

lastname

String

email

String

Only one email: "email@mail"

Multiple emails: "email1@mail.com, email2@mail.com"

whatsapp, mobile (cell phone), phone (landline)

String Format: "+55 11 97107 1713"

country

String Written in English, for example: "Brazil"

state

String

city

String

address

String

zipcode (postal code)

String Format: "69092250"

timezone

String Format: "America/Sao_Paulo"

preferred_locale (language)

String Format: "pt-BR"

Lead creation example

The data to be added to the Lead were inserted in the request body. The request was sent using the software Postman. The expected response is the Lead data after creation, including unfilled fields.

POST request for Lead creation.

Last updated

Was this helpful?